User filter on hostgroup could extend to new sub hostgroup.

05/23/2012 11:47 AM - Steve Traylen

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Users, Roles and Permissions   

Target version: 1.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With the 0.5 release candidate and earlier if  I grant a user  'create hostgroup' on a filter of host groups e.g on

/base/castor

then they can create a new host group

/base/castor/whatever

I think it seems sensible to me that the user filter should be extended to cover this new subgroup

as well /base/castor/whatever as well.

e.g having created /base/castor/whatever they might also be able to create /base/castor/whatever/andthis also but

genrally for other permissions for create host, delete host , .. whatever.

Alternatively a filter  of

/base/castor

could actually mean /base/castor and /base/castor/* either always or optionally.

Associated revisions

Revision ba9f6cdd - 06/07/2012 07:40 AM - Ohad Levy

fixes #1648 - User filter on hostgroup could extend to new sub hostgroup.

History

#1 - 06/07/2012 07:37 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.0

- Difficulty set to easy

#2 - 06/07/2012 07:43 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset ba9f6cdd3ffbf43cc2031a436ff0f8391d8205c2.
